# AmoebaTorsionTorsionForce Class Reference

This class implements the Amoeba torsion-torsion interaction. More...

Inheritance diagram for AmoebaTorsionTorsionForce:

List of all members.

## Public Member Functions
def | getNumTorsionTorsions
| getNumTorsionTorsions(AmoebaTorsionTorsionForce self) -> int
def | getNumTorsionTorsionGrids
| getNumTorsionTorsionGrids(AmoebaTorsionTorsionForce self) -> int
def | addTorsionTorsion
| addTorsionTorsion(AmoebaTorsionTorsionForce self, int particle1, int particle2, int particle3, int particle4, int particle5, int chiralCheckAtomIndex, int gridIndex) -> int
def | getTorsionTorsionParameters
| getTorsionTorsionParameters(AmoebaTorsionTorsionForce self, int index)
def | setTorsionTorsionParameters
| setTorsionTorsionParameters(AmoebaTorsionTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, int particle5, int chiralCheckAtomIndex, int gridIndex)
def | getTorsionTorsionGrid
| getTorsionTorsionGrid(AmoebaTorsionTorsionForce self, int index) -> vectorddd
def | setTorsionTorsionGrid
| setTorsionTorsionGrid(AmoebaTorsionTorsionForce self, int index, vectorddd grid)
def | __init__
| __init__(OpenMM.AmoebaTorsionTorsionForce self) -> AmoebaTorsionTorsionForce __init__(OpenMM.AmoebaTorsionTorsionForce self, AmoebaTorsionTorsionForce other) -> AmoebaTorsionTorsionForce
def | __del__
| __del__(OpenMM.AmoebaTorsionTorsionForce self)
## Public Attributes
| this

## Detailed Description

This class implements the Amoeba torsion-torsion interaction.

To use it, create an AmoebaTorsionTorsionForce object then call addTorsionTorsion() once for each torsion-torsion. After a torsion-torsion has been added, you can modify its force field parameters by calling setTorsionTorsionParameters().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.AmoebaTorsionTorsionForce self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.AmoebaTorsionTorsionForce self) -> AmoebaTorsionTorsionForce __init__(OpenMM.AmoebaTorsionTorsionForce self, AmoebaTorsionTorsionForce other) -> AmoebaTorsionTorsionForce

Create an AmoebaTorsionTorsionForce.

def addTorsionTorsion | ( |  | self,
|  |  | args |
| ) |  |  |

addTorsionTorsion(AmoebaTorsionTorsionForce self, int particle1, int particle2, int particle3, int particle4, int particle5, int chiralCheckAtomIndex, int gridIndex) -> int

Add a torsion-torsion term to the force field.

Parameters:

  | particle1 | the index of the first particle connected by the torsion-torsion
  | particle2 | the index of the second particle connected by the torsion-torsion
  | particle3 | the index of the third particle connected by the torsion-torsion
  | particle4 | the index of the fourth particle connected by the torsion-torsion
  | particle5 | the index of the fifth particle connected by the torsion-torsion
  | chiralCheckAtomIndex | the index of the particle connected to particle3, but not particle2 or particle4 to be used in chirality check
  | gridIndex | the index to the grid to be used

def getNumTorsionTorsionGrids | ( |  | self | ) |

getNumTorsionTorsionGrids(AmoebaTorsionTorsionForce self) -> int

Get the number of torsion-torsion grids

def getNumTorsionTorsions | ( |  | self | ) |

getNumTorsionTorsions(AmoebaTorsionTorsionForce self) -> int

Get the number of torsion-torsion terms in the potential function

def getTorsionTorsionGrid | ( |  | self,
|  |  | args |
| ) |  |  |

getTorsionTorsionGrid(AmoebaTorsionTorsionForce self, int index) -> vectorddd

Get the torsion-torsion grid at the specified index

Parameters:

  | gridIndex | the grid index

def getTorsionTorsionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getTorsionTorsionParameters(AmoebaTorsionTorsionForce self, int index)

Get the force field parameters for a torsion-torsion term.

Parameters:

  | index | the index of the torsion-torsion for which to get parameters
  | particle1 | the index of the first particle connected by the torsion-torsion
  | particle2 | the index of the second particle connected by the torsion-torsion
  | particle3 | the index of the third particle connected by the torsion-torsion
  | particle4 | the index of the fourth particle connected by the torsion-torsion
  | particle5 | the index of the fifth particle connected by the torsion-torsion
  | chiralCheckAtomIndex | the index of the particle connected to particle3, but not particle2 or particle4 to be used in chirality check
  | gridIndex | the grid index

def setTorsionTorsionGrid | ( |  | self,
|  |  | args |
| ) |  |  |

setTorsionTorsionGrid(AmoebaTorsionTorsionForce self, int index, vectorddd grid)

Set the torsion-torsion grid at the specified index

Parameters:

  | index | the index of the torsion-torsion for which to get parameters
  | grid | either 3 or 6 values may be specified per grid point. If the derivatives are omitted, they are calculated automatically by fitting a 2D spline to the energies. grid[x][y][0] = x value grid[x][y][1] = y value grid[x][y][2] = energy grid[x][y][3] = dEdx value grid[x][y][4] = dEdy value grid[x][y][5] = dEd(xy) value

def setTorsionTorsionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setTorsionTorsionParameters(AmoebaTorsionTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, int particle5, int chiralCheckAtomIndex, int gridIndex)

Set the force field parameters for a torsion-torsion term.

Parameters:

  | index | the index of the torsion-torsion for which to set parameters
  | particle1 | the index of the first particle connected by the torsion-torsion
  | particle2 | the index of the second particle connected by the torsion-torsion
  | particle3 | the index of the third particle connected by the torsion-torsion
  | particle4 | the index of the fourth particle connected by the torsion-torsion
  | particle5 | the index of the fifth particle connected by the torsion-torsion
  | chiralCheckAtomIndex | the index of the particle connected to particle3, but not particle2 or particle4 to be used in chirality check
  | gridIndex | the grid index

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py